Home > News > Security news > XOOPS Cube Legacy 2.1.8a Released!

XOOPS Cube Legacy 2.1.8a Released!

0
minahito
minahito submitted 2010/11/14 0:15, published 2010/11/14 0:15 | 47161 views
Tags: ,

XOOPS Cube Legacy 2.1.8a released. This is security fix version for SQL injection. You have to update your XCL 2.1.8 site to 2.1.8a. We have released the patch file including only diff files that is easy to update your site.

See release log and download the patch.

http://sourceforge.net/apps/mediawiki/xoopscube/index.php?title=Release_Logs:XOOPS_Cube_Legacy_2.1.8a

Comments (1)

Newest first | Oldest first | Nested view | RSS feed
Re: XOOPS Cube Legacy 2.1.8a Released! 
kilica posted 2010/11/14 9:01
kilica

I'm sorry I took a mistake. If you use PHP4.*, the patch cause fatal error.

Please fix either of the following ways.

1) Download the file again.(I replaced it by corrected code already) Then overwrite html/kernel/notification.php on your server.

2) Or fix html/kernel/notification.php l.194 like below: [code] function _escapeValue($value, $type=XOBJ_DTYPE_STRING) [/code] * delete "protected " string.

# If you use PHP5.*, no fix is required.

    Trackbacks (0)

    Newest first | Oldest first | RSS feed

    Votes (0)

    Newest first | Oldest first | RSS feed
     
    Activity | Contributions



    Who's Online
    24 user(s) are online (1 user(s) are browsing Plugg(Plugg))

    Members: 0
    Guests: 24

    more...

    Welcome | News | Overview | Documentation | Forum | Tutorialstop
    Brasilian | French | German | Greek | Japanese | Korean | Russian | T-Chinese
    Powered by XOOPS Cube 2001-2011 The XOOPS Cube Project